
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>NBearV3教程——Cache篇 / iVAN</title>

    <meta name="description" content="NBearV3教程——Cache篇 版本 1.0 [2006-11-18] 简介 本教程介绍NBearV3中的查询缓存支持. 目标 通过本教程,读者应能够全面掌握内置于NBearV3的查询缓存的使用. 代码 本教程不包含任何演示代码. 时间 &lt;10分钟. 正文 1 配置及启用NBearV3中的缓存功能 要启用缓存支持,需要在Web.config或App.config中添加cacheConfig配置节: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot; ?& ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">NBearV3教程——Cache篇</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>版本</p>
<p>1.0 [2006-11-18]</p>
<p>简介</p>
<p>本教程介绍NBearV3中的查询缓存支持。</p>
<p>目标</p>
<p>通过本教程，读者应能够全面掌握内置于NBearV3的查询缓存的使用。</p>
<p>代码</p>
<p>本教程不包含任何演示代码。</p>
<p>时间</p>
<p>&lt;10分钟。</p>
<p>正文</p>
<p>1 配置及启用NBearV3中的缓存功能</p>
<p>要启用缓存支持，需要在Web.config或App.config中添加cacheConfig配置节：</p>
<p><code>&lt;?xml version="1.0" encoding="utf-8" ?&gt;<br />
&lt;configuration&gt;<br />
&lt;configSections&gt;<br />
　　&lt;section name="entityConfig" type="NBear.Common.EntityConfigurationSection, NBear.Common" /&gt;<br />
　　&lt;section name="cacheConfig" type="NBear.Data.CacheConfigurationSection, NBear.Data" /&gt;<br />
&lt;/configSections&gt;<br />
&lt;entityConfig&gt;<br />
　　&lt;includes&gt;<br />
　　　&lt;add key="Sample" value="C:\Teddy\NBearV3\src\NBear.Test.UnitTests\EntityConfig.xml" /&gt;<br />
　　&lt;/includes&gt;<br />
&lt;/entityConfig&gt;<br />
&lt;cacheConfig enable="true"&gt;<br />
　　&lt;cachingTables&gt;<br />
　　　&lt;add key="Northwind.Orders" value="5" /&gt;<br />
　　&lt;/cachingTables&gt;<br />
&lt;/cacheConfig&gt;<br />
&lt;connectionStrings&gt;<br />
　　&lt;add name="Northwind" connectionString="Server=(local);Database=Northwind;Uid=sa;Pwd=sa" providerName="NBear.Data.SqlServer.SqlDbProvider"/&gt;<br />
&lt;/connectionStrings&gt;<br />
&lt;/configuration&gt;</code></p>
<p>注意代码中粗体的部分，首先在</p>
<p>注意代码中粗体的部分，首先在</p>
<p>configSections中添加cacheConfig这个section。接着，添加一个cacheConfig配置节，其中的cachingTables中可以有多个add，每一个add中，key的值格式为AAA.BBB；value代表缓存有效的时间长度，单位为秒。</p>
<p>AAA代表对应的ConnectionString中的name。比如这里的Northwind代表了名为Northwind的ConnectionString。</p>
<p>BBB代表数据库中实际的表名、视图名或存储过程名。</p>
<p>2 在代码中启用、禁用和使用自动缓存</p>
<p>一旦如上配置了启用缓存，则默认情况下，所有的NBear.Data.Gateway实例，默认将是开启了自动缓存功能的。相应的表、视图或存储过程被查询时，如果在config中设置为需要缓存的，则会被缓存。可以调用Gateway.TurnOnCache()和TurnOffCache()方法开启和关闭一个Gateway的缓存支持。</p>
<p>在两种情况下，自动缓存会自动过期失效。一是被缓存的数据超过config中设置的缓存过期时间；二是，指定的过期时间还没到，但是，此时执行了对该实体的强类型写操作。所谓强类型写操作，指Gateway.Delete/Save/BatchDelete/BatchUpdate等这些带范型参数列表EntityType的范型方法。</p>
<p>注：所有缓存数据是作为一个Gateway的静态变量，对所有的Gateway可见并共享的。也就是说，即使有多个Gateway实例，他们共享所有的缓存数据。并且，即使一个禁用了缓存的Gateway实例，对他执行的强类型写数据库操作，也会导致全局的Gateway缓存中的对应实体的缓存数据过期。</p>
<p>3 在代码中使用自定义缓存</p>
<p>除了默认的自动缓存之外，也可以手动的使用自定义缓存。任何时候，我们都可以使用任何Gateway实例的AddCache()/GetCache()/RemoveCache()和RemoveCaches()方法手动读写和删除缓存对象。</p>
<p>//正文结束</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-04 16:50:08</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e6%95%99%e7%a8%8b/" title="教程">教程</a>, <a href="https://www.iamivan.net/tag/%e7%bc%93%e5%ad%98/" title="缓存">缓存</a>, <a href="https://www.iamivan.net/tag/%e7%9b%ae%e6%a0%87/" title="目标">目标</a>, <a href="https://www.iamivan.net/tag/%e6%9f%a5%e8%af%a2/" title="查询">查询</a>, <a href="https://www.iamivan.net/tag/%e6%bc%94%e7%a4%ba/" title="演示">演示</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>NBearV3教程——Cache篇的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRVP8z.html" rel="bookmark">NBearV3教程&mdash;&mdash;Web篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				内容目录 1.Helper Methods - 辅助Web常用方法 2.ClientScriptFactory - 辅助生成客户端JS脚本 3.LoadResources()/GetString() - 多语言支持 4.AjaxHelper - 基于UserControl的AjaxHelper集成 从SF.NET下载NBear最新版本程序集.源码及使用教程 0.重要说明 本文讨论的内容只涉及NBear.Web这一个程序集,如果要在您自己的Web项目中使用本文所讨论的功能,只需要添加到NBear.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd70ANM.html" rel="bookmark">NBearV3 Step by Step教程&mdash;&mdash;IoC篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				版本 1.2 [2006-11-12] 简介 本教程演示如何基于NBearV3的IoC模块开发一个Web应用程序的基本过程.本教程同时演示使用NBear.Tools.DbToEntityDesign.exe工具从现有的数据库生成设计实体的过程. 注:在阅读本文之前,建议读者先阅读&lt;NBearV3 Step by Step教程--ORM篇&gt;以掌握NBearV3中有关ORM的基本知识. 目标 通过本教程,读者应能够掌握使用NBearV3的IoC模块的基本过程,以及使用NBear.Tools.DbT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnx6y2b.html" rel="bookmark">NBearV3教程&mdash;&mdash;MVP（Model&sol;View&sol;Presenter）篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				版本 1.1 [2007-2-12] 简介 本教程在&lt;NBearV3 Step by Step教程--IoC篇&gt;的基础上,演示如何基于NBearV3的MVP模块实现基于NBear的IoC的MVP模式的过程.您将看到,利用封装了NBear的IoC模块的NBear.MVP模块,不仅能大大加强系统表现层的可测试性,同时能充分利用NBear已有的IoC模块获得依赖注入能力及基于IoC的分布式服务支持. 注:在阅读本文之前,建议读者先阅读&lt;NBearV3 Step by Step教程--IoC篇&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNaKyb.html" rel="bookmark">Flash动画基础教程①入门篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				flash动画|基础教程 這個教程是本人的一些經驗之談,為了初學者的入門教程,未經本人許可請勿轉載!謝謝 Flash动画基础教程--入门篇①首先我们来说说什么是Flash? Flash是Macromedia公司出品的软件,对于Flash是什么很多的描述,大致是&quot;交互性矢量多媒体制作软件&quot;的意思!首先,它是一种多媒体制作软件,Flash的产品往往都是一些&quot;有声有色&quot;给人视觉冲击的动画.其次,Flash是以矢量图为基础的,矢量图最大的特点就是它能无限的缩放,不会因为图像			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLrEkb.html" rel="bookmark">土人AS入门教程语法篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程|入门教程|语法 AS 语法篇 ----------------------------------- 看过我的第一个教程--基础篇之后,现在你对AS的存在位子有了一定的概念了吧?如果还没有,那么去复习一下吧 土人系列AS入门教程--基础篇 接下来我要讲的是AS的语法. 首先要让大家明白的是: AS 语法的大小写是敏感的. 如: gotoAndPlay() 正确 gotoAndplay() 错误 . 关键字的拼写必须和语法一致,要做到很容易,因为在Flash的AS面板里面,关键字会有不一样的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NmqBz.html" rel="bookmark">&period;Net魔法堂：史上最全的ActiveX开发教程&mdash;&mdash;开发篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.前言   在设计某移动内部自动化运维平台时,经综合考虑终端机性能和功能需求等因素后,决定采用B/S模式,并且浏览器通过ActiveX组件实现与服务器 Agent作P2P的通讯.好处,整个平台以网页形式存在,界面渲染性能高于桌面应用(终端机性能其低):通过ActiveX组件与各服务器Agent进 行P2P通讯,不对Web服务器造成压力.风险,当用ActiveX传输上百兆的文件时,会对浏览器造成哪些影响:团队中没有类似解决方案的经验供借鉴. 解决方法:前期对主要功能进行快速原型设计.开发.验证和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4qDAz.html" rel="bookmark">&period;Net魔法堂：史上最全的ActiveX开发教程&mdash;&mdash;发布篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. 前言    接着上一篇&lt;.Net魔法堂:史上最全的ActiveX开发教程--开发篇&gt;,本篇讲述如何发布我们的ActiveX.   二.废话少讲,马上看步骤!    1. 打包  C#开发的Activex不像`OCX`那样直接通过`regsvr32.exe`注册,而采用两种方式发布使其运行在浏览器上.  1. 离线安装:将控件类库打包成MSI安装包,然后在客户端安装. 1.1. 添加安装项目 1.2. 右键&quot;添加&quot;-&gt;&quot;项目输出&quot;,选择Acti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZyGXp.html" rel="bookmark">&period;Net魔法堂：史上最全的ActiveX开发教程&mdash;&mdash;部署篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.前言   接&lt;.Net魔法堂:史上最全的ActiveX开发教程--发布篇&gt;,后我们继续来部署吧!   二. 挽起衣袖来部署     ActiveX的部署其实就是客户端安装ActiveX组件,对未签名和已签名的ActiveX,分别有对应的部署方式.   1. 部署未签名的ActiveX 未签名的ActiveX控件不受浏览器端信任,默认是不被允许安装的 1. 将网站加入 **可信站点** 2. 在&quot;可信站点&quot;和&quot;Internet&quot;下的 **自定义级别**			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M06QA0z.html" rel="bookmark">Fiddler抓包使用教程-扫盲篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Fiddler抓包使用教程-扫盲篇 转载请标明出处:http://blog.csdn.net/zhaoyanjun6/article/details/72823370 本文出自[赵彦军的博客] 1.什么是抓包? 不同主机之间的数据通信都是通过网络来进行传输,对那些在网络上传输的数据(发送.请求的数据)进行截获.编辑.转存等操作叫做抓包.抓包可以是抓取电脑端请求的数据,还可以抓取移动端(手机APP)的数据包. 2.为什么要进行抓包? 通过对网络上传输的数据进行抓取,可以对其进行分析,对于软件的De			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM91V3M.html" rel="bookmark" class="title">Fireworks MX 2004 对象的排列</a>
					<div>
						对象 4.对象的排列 同一层的不同对象在工作区上是有上下的排列顺序的,对于对象的上下排列顺序可使用菜单栏中&quot;修改-排列&quot;下的命令进行调整,如图3-30所示. 图3-17 另外,也可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJryDz.html" rel="bookmark" class="title">Apache小技巧五则</a>
					<div>
						1.如何使得apache监听在特定的端口 修改httpd.conf里面关于Listen的选项,例如: Listen 8000 是使apache监听在8000端口 而如果要同时指定监听端口和监听地址,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnvlkp.html" rel="bookmark" class="title">追踪ASP&period;NET代码里的bug</a>
					<div>
						asp.net Web开发中一个棘手的问题是调试.在ASP或者简单JavaScript的时代,开发人员会利用print语句来追踪代码里的问题.随着微软引入ASP.NET,这一方法发生了改变,因为它包含 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaWlXp.html" rel="bookmark" class="title">SEO的成功绝不是一个点上的成功</a>
					<div>
						其实笔者一直强调SEO是一个非常综合的行业,做SEO最好要懂程序,各种语言,美工,网页设计,心理学,营销学,广告学,对行业的了解,产品的了解,各种不同的网络推广方法等等.当然一个人很难把这些东西都学会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkYV7b.html" rel="bookmark" class="title">VB&period;Net中文教程&lpar;2&rpar; Composite样式</a>
					<div>
						教程|中文 1. 从Whole-part关系谈起 回想传统的软件师﹐常甚专注于撰写程序(procedure) 来处理某些资料(data)﹐较少关心软件的整体结构(architecture).在现在的O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLod3b.html" rel="bookmark" class="title">Struts&plus;Hibernate中解决汉字编码问题</a>
					<div>
						1.修改web.xml文件,在&lt;web-app&gt;标签后增加如下内容. &lt;filter&gt; &lt;filter-name&gt;Set Character Encoding&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6YQjz.html" rel="bookmark" class="title">360杀毒软件打不开如何解决？</a>
					<div>
						  360杀毒软件打不开如何解决? 方法一.GHOST计算机 就是直接GHOST计算机了,或者是重装系统啦.如果你电脑又重要文件的话,就将其拷贝到D盘绘制E盘,然后直接重装系统C盘,将C盘格式化即可. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaeAvM.html" rel="bookmark" class="title">Dreamweaver 序列号（dw8 cs3 cs5 &rpar;</a>
					<div>
						dreamweaver 序列号(dw8 cs3 cs5 ) macromedia dreamweaver 8 序列号 激活码: wpd800-50438-28032-39991 wpd800-5993 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnloYz.html" rel="bookmark" class="title">给外景情侣照片加上古典青黄色 PS调色教程</a>
					<div>
						photoshop教程 1.打开原图素材,按Ctrl + J 把背景图层复制一层.进入通道面板,选择绿色通道按Ctrl + A 全选,按Ctrl + C 复制.选择蓝色通道按Ctrl + V 粘贴,点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW62Lp.html" rel="bookmark" class="title">Photoshop给外景MM加上柔和淡雅色</a>
					<div>
						素材图片以黄绿色为主,转为黄褐色只需要把草地颜色转为淡黄色,再适当给图片暗部增加褐色及亮度即可.人物,高光部分可以根据需要适当润色. 原图 最终效果 1.打开素材图片,按Ctrl + J 把背景图层复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6DAxb.html" rel="bookmark" class="title">IdeaCentre B3系列电脑主机运行游戏卡的处理方法</a>
					<div>
						  故障现象: 当您发现主机运行游戏卡的情况时,请按照下面的操作尝试: 解决方案: 1.请您先确认您现在运行的游戏要求配置情况,本机是否可以达到游戏要求的硬件配置要求,如CPU,内存,显卡等. 2.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Wkxnb.html" rel="bookmark" class="title">think in java interview-高级开发人员面试宝典&lpar;一&rpar;</a>
					<div>
						&quot;生死六重门&quot; 无论你是在职,非在职,高级工程师,工程师,架构师,如果你正在面试阶段,请看完此文! 相信这篇文章对你的职业生涯和阶值观会造成重大的改变! 如果你是一名PM或者是管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN7OOM.html" rel="bookmark" class="title">学习Docker容器网络模型 - 搭建分布式Zookeeper集群</a>
					<div>
						ZooKeeper是一个流行的分布式协调服务.它提供了两种不同的部署方式:单机模式和分布式模式.其中单机模式的部署非常简单,网上也有很多资料,我们今天会利用Docker搭建分布式Zookeeper集群 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNXEkz.html" rel="bookmark" class="title">C&num;开源汇总</a>
					<div>
						原文:C#开源汇总 商业协作和项目管理平台-TeamLab 网络视频会议软件-VMukti 驰骋工作流程引擎-ccflow [免费]正则表达式测试工具-Regex-Tester Windows-Pho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPeP0p.html" rel="bookmark" class="title">android中The connection to adb is down，问题和解决</a>
					<div>
						自己总结的在android中常会出现的不好解决的问题和方法 (其中第三个方法经过了四天的折磨.....哎) 1.报错:BUILD FAILED D:\workspace\ganji\build.xml ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqwg5z.html" rel="bookmark" class="title">并行计算-java线程该怎么使用？</a>
					<div>
						问题描述 java线程该怎么使用? 用Java写段程序,要求用4个线程并行计算表达式的结果: (1234*7856)+(50000/5432)+(2^10)+(9834-298*345) (提示:用线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBY5OM.html" rel="bookmark" class="title">百度地图问题-急急急无故报错 百度地图</a>
					<div>
						问题描述 急急急无故报错 百度地图 解决方案 address空,应该是self.view.frame还没实例化把,你调整下时序看看,等view起来的时候在alloc 解决方案二: bad addres ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeQDLb.html" rel="bookmark" class="title">php-CI框架中&dollar;this-&amp;amp&semi;amp&semi;gt&semi;config&comma;&dollar;this&amp;amp&semi;amp&semi;gt&semi;input的调用问题</a>
					<div>
						问题描述 CI框架中$this-&gt;config,$this&gt;input的调用问题 在公司的项目程序里面,自定义类里面直接$this-&gt;config-&gt;item()引用系统定义类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEe8oM.html" rel="bookmark" class="title">linux中配置Gitolite&plus;Gitweb&plus;Nginx步骤详解</a>
					<div>
						Gitolite是功能非常强大的Git服务器构建工具,可以比较方便地实现用户权限管理等功能.但是Gitolite是一个纯粹的Git服务器,不像Gitlab等项目,自身不具备其它的访问和浏览方式. 之前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z6EoM.html" rel="bookmark" class="title">dbcp连接池不合理的锁导致连接耗尽</a>
					<div>
						应用报错,表象来看是连接池爆满了. org.springframework.transaction.CannotCreateTransactionException: Could not open J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Rv20z.html" rel="bookmark" class="title">HotSpotVM 线程实现浅析</a>
					<div>
						今天来看下HotSpotVM在Linux下的线程模型. Thread.start HotSpot Runtime Overview 中说道, There are two basic ways for  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYrwZp.html" rel="bookmark" class="title">C&num; 如何读取Excel 文件中数据的数据格式</a>
					<div>
						问题描述 ///&lt;summary&gt;///读取xlsxlsx格式的Excel文件的方法///&lt;/ummary&gt;///&lt;paramname=&quot;path&quot;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7w8gp.html" rel="bookmark" class="title">Android动态代理以及利用动态代理实现ServiceHook</a>
					<div>
						Java 的动态代理 首先我们要介绍的就是 Java 动态代理,Java 的动态代理涉及到两个类:InvocationHandler 接口和 Proxy 类,下面我们会着重介绍一下这两个类,并且结合实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKWZlb.html" rel="bookmark" class="title">SEO专业人士教你怎样优化网站提高排名</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 一个好的产品或者是优秀的服务,都需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgoD8M.html" rel="bookmark" class="title">Facebook 针对 iOS 推出 Swift 开发者工具包</a>
					<div>
						Swift3中文网消息,Facebook为iOS开发者推出了Swift开发者工具包(SDK),开发者可以通过Github链接下载https://github.com/facebook/facebook ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqQP6b.html" rel="bookmark" class="title">windows下启动nginx为什么会有两个nginx&period;exe进程？</a>
					<div>
						问题描述 初次接触nginx,今天在本机安装启动之后,发现任务管理器里面有两个nginx.exe进程,请问这两进程都分别的作用是什么? 解决方案 1个守护进程 1个工作进程(多个线程) 你可以使用如P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPla68p.html" rel="bookmark" class="title">php使用fopen创建utf8编码文件的方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了php使用fopen创建utf8编码文件的方法.分享给大家供大家参考.具体实现方法如下: 一般来说,如果我们直接使用fopen创建会发现文件编码都不是uft-8的了,那么如果要创建uft ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk1WXz.html" rel="bookmark" class="title">一步一步写算法（之hash表）</a>
					<div>
						原文:一步一步写算法(之hash表) [ 声明:版权所有,欢迎转载,请勿用于商业用途.  联系信箱:feixiaoxing @163.com]     hash表,有时候也被称为散列表.个人认为,ha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDk8YKp.html" rel="bookmark" class="title">被vbs整死了电脑重启密码改了</a>
					<div>
						问题描述 被vbs整死了电脑重启密码改了 help帮忙解答, 我的电脑打开一个vbs文件后立刻重启密码改了怎么办 解决方案 help me 救救我 解决方案二: PE密码重设盘,,,,					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQW34rp.html" rel="bookmark" class="title">音乐手机&mdash;&mdash;下一个音乐内容消费平台</a>
					<div>
						2007年全球手机市场有800多款音乐手机参与竞争,iPhone的推出更是加快了音乐手机的市场进程.随着音乐手机的普及,我们存在疑惑的是究竟有多少人会用手机来收听音乐? 手机行业http://www. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
